wibble::tests::TestFileExists Struct Reference

`#include <tests.h>`

## Public Member Functions

| TestFileExists (const std::string &pathname, bool inverted=false)
TestFileExists | operator! ()
void | check (WIBBLE_TEST_LOCPRM) const

## Public Attributes

std::string | pathname
bool | inverted

## Constructor & Destructor Documentation

## TestFileExists()

wibble::tests::TestFileExists::TestFileExists | ( | const std::string & | pathname,
|  | bool | inverted = `false`
| ) |  |

inline

Referenced by operator!().

## Member Function Documentation

## check()

void wibble::tests::TestFileExists::check | ( | WIBBLE_TEST_LOCPRM |  | ) | const

References wibble::sys::fs::exists(), wibble::tests::Location::fail_test(), inverted, pathname, and wibble_test_location.

## operator!()

TestFileExists wibble::tests::TestFileExists::operator! | ( |  | ) |

inline

References inverted, pathname, and TestFileExists().

## Member Data Documentation

## inverted

bool wibble::tests::TestFileExists::inverted

Referenced by check(), and operator!().

## pathname

std::string wibble::tests::TestFileExists::pathname

Referenced by check(), and operator!().

The documentation for this struct was generated from the following files:

- tests.h
- tests.cpp